-- 2024-06-05
CREATE TABLE obe_course_outline (
    id BIGINT(20) NOT NULL COMMENT '课程大纲表id',
    culture_program_id BIGINT(20) NOT NULL COMMENT '培养方案id',
    name VARCHAR(255) NOT NULL COMMENT '课程大纲名称',
    semester_id BIGINT(20) NOT NULL COMMENT '修读学期id',
    course_id BIGINT(20) NOT NULL,
    evaluation_mode VARCHAR(32) NOT NULL COMMENT '考核方式',
    course_type VARCHAR(32) NOT NULL COMMENT '课程类别',
    user_id BIGINT(20) NOT NULL COMMENT '课程大纲责任人',
    create_id BIGINT(20) NULL COMMENT '创建人',
    create_time BIGINT(20) NULL COMMENT '创建时间',
    update_id BIGINT(20) NULL COMMENT '更新人',
    update_time BIGINT(20) NULL COMMENT '更新时间',
    PRIMARY KEY (id))
COMMENT = '课程大纲表';
