package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 培养方案毕业要求
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
@TableName("obe_culture_program_requirement")
@ApiModel(value = "ObeCultureProgramRequirement对象", description = "培养方案毕业要求")
public class ObeCultureProgramRequirement extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "培养方案ID")
    private Long cultureProgramId;

    @ApiModelProperty(value = "毕业要求code")
    private String code;

    @ApiModelProperty(value = "毕业要求")
    private String name;

    @ApiModelProperty(value = "上级毕业要求")
    private Long parentId;

    @ApiModelProperty(value = "排序值")
    private Integer sortNum;

    public Long getCultureProgramId() {
        return cultureProgramId;
    }

    public void setCultureProgramId(Long cultureProgramId) {
        this.cultureProgramId = cultureProgramId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    @Override
    public String toString() {
        return "ObeCultureProgramRequirement{" +
                ", cultureProgramId=" + cultureProgramId +
                ", code=" + code +
                ", name=" + name +
                ", parentId=" + parentId +
                ", sortNum=" + sortNum +
                "}";
    }
}
